%{!?_rel:%{expand:%%global _rel 0.r%(test "1103M" != "0000" && echo "1103M" || svnversion | sed 's/[^0-9].*$//' | grep '^[0-9][0-9]*$' || echo 0000)}}

%{!?sname:%global sname nhc}
%{!?nhc_script_dir:%global nhc_script_dir %{_sysconfdir}/%{sname}/scripts}
%{!?nhc_helper_dir:%global nhc_helper_dir %{_libexecdir}/%{sname}}

Summary: Warewulf Node Health Check System
Name: warewulf-nhc
Version: 1.2
#Release: %{_rel}%{?dist}
Release: 1%{?dist}
License: US Dept. of Energy (BSD-like)
Group: Applications/System
URL: http://warewulf.lbl.gov/
Source: %{name}-%{version}.tar.gz
Packager: %{?_packager}%{!?_packager:Michael Jennings <mej@lbl.gov>}
Vendor: %{?_vendorinfo}%{!?_vendorinfo:Warewulf Project (http://warewulf.lbl.gov/)}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
Requires: bash
BuildArch: noarch
BuildRoot: %{?_tmppath}%{!?_tmppath:/var/tmp}/%{name}-%{version}-%{release}-root

%description
This package contains the Warewulf Node Health Check system.

TORQUE (and other resource managers) allow for the execution of a
script to determine if a node is "healthy" or "unhealthy" and
potentially mark unhealthy nodes as unavailable.  The scripts
contained in this package provide a flexible, extensible mechanism for
collecting health checks to be run on your cluster and specifying
which checks should be run on which nodes.


%prep
%setup


%build
%{configure}
%{__make} %{?mflags}


%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT %{?mflags_install}


%check
%{__make} test


%clean
test "$RPM_BUILD_ROOT" != "/" && %{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%dir %{_sysconfdir}/%{sname}/
%config(noreplace) %{_sysconfdir}/%{sname}/%{sname}.conf
%{_sbindir}/%{sname}
%{nhc_script_dir}/
%{nhc_helper_dir}/
